# Interface PresentationJson

A presentation consists of multiple slides, where each slide is a specific view into the web scene.

See https://developers.arcgis.com/web-map-specification/objects/presentation/ https://developers.arcgis.com/web-scene-specification/objects/presentation/.

interface PresentationJson {
displayTimeSlider?: boolean;
showLegend?: boolean;
slideAdvancementInterval?: number;
slides?: SlideJson[];
useTimeExtentOfSlide?: boolean;
}

#####
Index

### Properties

displayTimeSlider?
showLegend?
slideAdvancementInterval?
slides?
useTimeExtentOfSlide?

##
Properties

### `Optional` displayTimeSlider

displayTimeSlider?: boolean

Indicates whether to display the time slider (if accessible). [WebMap only].

### `Optional` showLegend

showLegend?: boolean

Indicates whether to display a legend on all slides. [WebMap only].

### `Optional` slideAdvancementInterval

slideAdvancementInterval?: number

Number of seconds to show slide before proceeding to the next slide. [WebMap only].

### `Optional` slides

slides?: SlideJson[]

An array of slides that bookmark viewpoints, visible layers, and other settings previously defined in a WebScene.

### `Optional` useTimeExtentOfSlide

useTimeExtentOfSlide?: boolean

Indicates whether to use the time extent (if applicable) of a slide. [WebMap only].